Package org.apache.solr.client.solrj.io.stream.metrics

## Class Metric

- java.lang.Object
- - org.apache.solr.client.solrj.io.stream.metrics.Metric

All Implemented Interfaces:
  `Expressible`

Direct Known Subclasses:
  `CountDistinctMetric`, `CountMetric`, `MaxMetric`, `MeanMetric`, `MinMetric`, `PercentileMetric`, `StdMetric`, `SumMetric`, `WeightedSumMetric`

    public abstract class Metric
    extends Object
    implements Expressible

### Field Summary

Fields
`boolean` `outputLong`

### Constructor Summary

Constructors
`Metric()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract String[]` `getColumns()`
`String` `getFunctionName()`
`String` `getIdentifier()`
`UUID` `getMetricNodeId()`
`abstract Number` `getValue()`
`abstract Metric` `newInstance()`
`void` `setFunctionName​(String functionName)`
`void` `setIdentifier​(String identifier)`
`void` `setIdentifier​(String... identifierParts)`
`Explanation` `toExplanation​(StreamFactory factory)` Returns an explanation about the stream object
`abstract void` `update​(Tuple tuple)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.client.solrj.io.stream.expr.Expressible

`toExpression`

### Field Detail

#### outputLong

    public boolean outputLong

### Constructor Detail

#### Metric

    public Metric()

### Method Detail

#### getFunctionName

    public String getFunctionName()

#### setFunctionName

    public void setFunctionName​(String functionName)

#### getIdentifier

    public String getIdentifier()

#### setIdentifier

    public void setIdentifier​(String identifier)

#### setIdentifier

    public void setIdentifier​(String... identifierParts)

#### toExplanation

    public Explanation toExplanation​(StreamFactory factory)
                              throws IOException

Description copied from interface: `Expressible`
Returns an explanation about the stream object

Specified by:
  `toExplanation` in interface `Expressible`
Parameters:
  `factory` - Stream factory for this, contains information about the function name
Returns:
  Explanation about this stream object containing explanations of any child stream objects
Throws:
  `IOException` - throw on any error

#### getMetricNodeId

    public UUID getMetricNodeId()

#### getValue

    public abstract Number getValue()

#### update

    public abstract void update​(Tuple tuple)

#### newInstance

    public abstract Metric newInstance()

#### getColumns

    public abstract String[] getColumns()